Bug 92301 - If a filename in DDE function is a reference to other cell, old DDE link is not deleted after filename change
Summary: If a filename in DDE function is a reference to other cell, old DDE link is n...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.7.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Cell-Reference
  Show dependency treegraph
 
Reported: 2015-06-24 10:55 UTC by Pavlica Stanislav
Modified: 2020-07-12 03:37 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
calc spreadsheet files source1.ods, source2.ods, destination.ods (20.77 KB, application/zip)
2015-06-24 10:58 UTC, Pavlica Stanislav
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pavlica Stanislav 2015-06-24 10:55:36 UTC
Please save source1.ods source2.ods and destination.ods to same directory.

In file destination.ods are two links:
file:source1.ods  List1.A1
file:source1.ods  List1.A2


1. If a filename in function DDE is a string, after filename change are links correctly changed:

Change cell A2 in destination.ods to:
=DDE("soffice";"file:source2.ods";"List1.A1")

Old link
file:source1.ods  List1.A1
is deleted and new link is created:
file:source2.ods  List1.A1


2. If a filename in function DDE is a reference to other cell, after filename change is old DDE link not deleted:

Change cell A4 in destination.ods to:
=+"file:source2.ods"

New link is created:
file:source2.ods  List1.A2

But old link
file:source1.ods  List1.A2
is not deleted
Comment 1 Pavlica Stanislav 2015-06-24 10:58:43 UTC
Created attachment 116791 [details]
calc spreadsheet files source1.ods, source2.ods, destination.ods
Comment 2 Buovjaga 2015-06-27 19:01:32 UTC
Reproduced with attachment 116791 [details].

Ubuntu 15.04 64-bit 
Version: 5.1.0.0.alpha1+
Build ID: 3ecef8cedb215e49237a11607197edc91639bfcd
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2015-06-20_00:06:19
Locale: en-US (en_US.UTF-8)
Comment 3 QA Administrators 2016-09-20 10:12:09 UTC Comment hidden (obsolete)
Comment 4 Joren 2016-10-16 22:15:51 UTC
This bug is still present. Please fix it as I use this DDE function a lot.

Linux XXXXX 4.4.0-38-generic #57-Ubuntu SMP Tue Sep 6 15:41:41 UTC 2016 i686 i686 i686 GNU/Linux

Version: 5.2.1.2
Build ID: 1:5.2.1~rc2-0ubuntu1~trusty0
CPU Threads: 4; OS Version: Linux 4.4; UI Render: default; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 5 QA Administrators 2018-07-12 02:44:15 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2020-07-12 03:37:27 UTC
Dear Pavlica Stanislav,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug